Subject: [mpls-tp] Comments on draft-nitinb-mpls-tp-lsp-ping-bfd-procedures-02

From: Greg Mirsky <[email-masked]>
Date: Wed, 17 Feb 2010 12:59:18 -0800

Dear Authors and All,
below are my comments to the document:

   - Abstract - "widely deployed" to replace "widely deployment"
   - Section 2.1, Figure 2 - Section 3 RFC 5586 states that if ACH TLVs
   might be present then ACH TLV Header must be present. The Length of ACH TLV
   Header may set to zero in no ACH TLVs are actually present in the given
   packet. Said that I turn to figure 2 that presents LSP Ping packet with ACH
   format. The ACH TLV Header is not presented in the format even though
   presence of ACH TLVs is indicated. I think that proper LSP Ping with ACH
   format will look as:

       0                           1                            2
                      3
       0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2
       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
       |                                    MPLS Label stack
                     |
       |
                                 |
       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
       |                                              GAL
                             |
       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
       |0 0 0 1|Version|   Reserved    |     LSP-Ping Channel Type     |
       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
       |                                   ACH TLV Header
                    |
       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
       |                                          ACH TLVs
                         |
       |
                                 |
       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
       |                                    LSP-Ping payload
                    |
       |
                                 |
       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   - Section 2.3 discusses optional use of Source Address TLV but the
   sentence "Only 1 source address TLV MUST be present in a LSP-Ping packet."
   may be interpreted as the Source Address TLV is mandatory. I propose to
   change "MUST" to "MAY" in the sentence
   - Figure 3 - same comments regarding ACH TLV Header in the format as for
   Figure 2

Regards,
Greg

---

From: Nitin Bahadur <[email-masked]>
Date: Wed, 17 Feb 2010 23:28:42 -0800

Hi Greg,

   Thanks for reading the draft in detail. See inline below for responses to your comments.

On 2/17/10 12:59 PM, "Greg Mirsky" <[email-masked]> wrote:

Dear Authors and All,

 *   Abstract - "widely deployed" to replace "widely deployment"

NB> Will fix that.

 *   Section 2.1, Figure 2 - Section 3 RFC 5586 states that if ACH TLVs might be present then ACH TLV Header must be present. The Length of ACH TLV Header may set to zero in no ACH TLVs are actually present in the given packet. Said that I turn to figure 2 that presents LSP Ping packet with ACH format. The ACH TLV Header is not presented in the format even though presence of ACH TLVs is indicated. I think that proper LSP Ping with ACH format will look as:

      0                           1                            2                            3

       |                                    MPLS Label stack                                |
       |                                                                                                |

       |                                              GAL                                           |

       |                                   ACH TLV Header                                  |

       |                                          ACH TLVs                                      |

       |                                                                                                |

       |                                    LSP-Ping payload                               |
       |                                                                                                |

NB> You are right. I will fix that.

 *   Section 2.3 discusses optional use of Source Address TLV but the sentence "Only 1 source address TLV MUST be present in a LSP-Ping packet." may be interpreted as the Source Address TLV is mandatory. I propose to change "MUST" to "MAY" in the sentence

NB> Sure...will rephrase to avoid confusion.

 *   Figure 3 - same comments regarding ACH TLV Header in the format as for Figure 2

NB> Will fix.

Thanks for your useful comments Greg.

Nitin